# Class LanguageCallback

java.lang.Object
javax.security.auth.callback.LanguageCallback

All Implemented Interfaces:
  `Serializable, Callback`

public class LanguageCallback extends Object implements Callback, Serializable

Underlying security services instantiate and pass a `LanguageCallback` to the `handle` method of a `CallbackHandler` to retrieve the `Locale` used for localizing text.

Since:
  1.4
See Also:
  - `CallbackHandler`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LanguageCallback()`
Construct a `LanguageCallback`.

## Method Summary

Modifier and Type
Method
Description
`Locale`
`getLocale()`
Get the retrieved `Locale`.
`void`
`setLocale(Locale locale)`
Set the retrieved `Locale`.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### LanguageCallback

public LanguageCallback()
Construct a `LanguageCallback`.

## Method Details

### setLocale

public void setLocale(Locale locale)
Set the retrieved `Locale`.

Parameters:
  `locale` - the retrieved `Locale`.
See Also:
  - `getLocale()`

### getLocale

public Locale getLocale()
Get the retrieved `Locale`.

Returns:
  the retrieved `Locale`, or null if no `Locale` could be retrieved.
See Also:
  - `setLocale(Locale)`